VARKON Version 1.15 1997-12-29

> ## arc_3pos - Geometric

> Creates an arc
> Description
> Creates a circular arc defined by three positions. The arc starts in the first position and turns anticlockwise through the second position and ends in the third position.
> Syntax
> arc_3pos(id, p1, p2 ,p3:attributes);

> REF | id;
> VECTOR | p1;
> VECTOR | p2;
> VECTOR | p3;

> Principal parameters

> id | - Local identity
> p1 | - Start position
> p2 | - Mid position
> p3 | - End position

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> AFONT | - Solid(0), dashed(1) or centerline(2)
> ADASHL | - Dashlength
> WIDTH | - Linewidth

> Comments
> In a 3D module the resulting arc is restricted to the XY-plane of the active coordinate system. If any of the input positions are not in this plane they will be projected along the Z-axis onto the XY-plane before being used to create the arc. p1, p2 and p3 must not be identical or colinear.

VARKON Homepage | Index